#{{ ansible_managed | comment }}
# /etc/logcheck/logcheck.replace
s/sshd\[[0-9]*\]: Accepted \(.*\) for \(.*\) from \([0-9a-fA-F\.:]*\) port [0-9]* ssh2/sshd: Accepted \1 for \2 from \3 port N ssh2/
s/sshd\[[0-9]*\]: Failed \(.*\) for \(.*\) from \([0-9a-fA-F\.:]*\) port [0-9]* ssh2/sshd: Failed \1 for \2 from \3 port N ssh2/
s/sshd\[[0-9]*\]: Accepted publickey for \(.*\) from \([0-9a-fA-F\.]*\) port [0-9]* ssh2/sshd: Accepted publickey for \1 from \2 port N ssh2/
s/sshd\[[0-9]*\]: Failed publickey for \(.*\) from \([0-9a-fA-F\.]*\) port [0-9]* ssh2/sshd: Accepted publickey for \1 from \2 port N ssh2/
s/sshd\[[0-9]*\]: Postponed publickey for \(.*\) from \([0-9a-fA-F\.]*\) port [0-9]* ssh2/sshd: Accepted publickey for \1 from \2 port N ssh2/
#s/sshd\[[0-9]*\]: input_userauth_request: invalid user .*/sshd: input_userauth_request: invalid user XXX/
#s/sshd\[[0-9]*\]: Invalid user .* from \([0-9\.]*\)/sshd: Invalid user XXX from \1/
s/sshd\[[0-9]*\]: Connection closed by \([0-9a-fA-F\.:]*\) port [0-9]*/sshd: Connection closed by \1 port N/
s/sshd\[[0-9]*\]: Connection reset by \([0-9a-fA-F\.:]*\) port [0-9]*/sshd: Connection reset by \1 port N/
s/sshd\[[0-9]*\]: Connection from \([0-9a-fA-F\.:]*\) port [0-9]* on \([0-9\.:]*\) port \([0-9]*\)/sshd: Connection from \1 port N on \2 port \3/
#s/sshd\[[0-9]*\]: Connection from \([0-9a-fA-F\.:]*\) port [0-9]* on \([0-9\.:]*\) port \([0-9]*\)/sshd: Connection from <IP> port N on \2 port \3/
s/sshd\[[0-9]*\]: Disconnected from \([0-9a-fA-F\.:]*\) port [0-9]*/sshd: Disconnected from \1 port N/
s/sshd\[[0-9]*\]: Disconnected from user \(.*\) \([0-9a-fA-F\.:]*\) port [0-9]*/sshd: Disconnected from \1 \2 port N/
s/sshd\[[0-9]*\]: Received disconnect from \([0-9a-fA-F\.:]*\) port [0-9]*/sshd: Received disconnect from \1 port N/
s/sshd\[[0-9]*\]: Starting session: command for \(.*\) from \([0-9\.:]*\) port [0-9]*/sshd: Starting session: command for \1 from \2 port N/
s/sshd\[[0-9]*\]: Starting session: command on \(.*\) for \(.*\) from \([0-9\.:]*\) port [0-9]*/sshd: Starting session: command on \1 for \2 from \3 port N/
s/sshd\[[0-9]*\]: Close session: user \(.*\) from \([0-9a-fA-F\.:]*\) port [0-9]*/sshd: Close session: user \1 from \2 port N/
s/sshd\[[0-9]*\]: Transferred: sent [0-9]*, received [0-9]* bytes/sshd: Transferred: sent N, received N bytes/
s/sshd\[[0-9]*\]: error: Received disconnect from \([0-9a-fA-F\.:]*\) port [0-9]*:/sshd: error: Received disconnect from \1 port N:/
s/sshd\[[0-9]*\]: Starting session: shell on \(.*\) for \(.*\) from \([0-9a-fA-F\.:]*\) port [0-9]* id \([0-9]*\)/sshd: Starting session: shell on \1 for \2 from \3 port N id \4/
s/sshd\[[0-9]*\]: fatal: Unable to negotiate with \([0-9a-fA-F\.:]*\) port [0-9]*: no matching /sshd: fatal: Unable to negotiate with <IP> port N: no matching /
#s/sshd\[[0-9]*\]: fatal: Unable to negotiate with \([0-9a-fA-F\.:]*\) port [0-9]*: no matching /sshd: fatal: Unable to negotiate with \1 port N: no matching /
#s/sshd\[[0-9]*\]: fatal: Unable to negotiate with \([0-9a-fA-F\.:]*\) port [0-9]*: no matching key exchange method found. Their offer: \(.*\)/sshd: fatal: Unable to negotiate with \1 port N: no matching key exchange method found. Their offer: \2/
s/sshd\[[0-9]*\]: fatal: no matching mac found: client .* \[preauth\]/sshd: fatal: no matching mac found: client XXXXXX [preauth]/
s/sshd\[[0-9]*\]: message repeated [0-9]* times: \[ Starting session: command for \(.*\) from \([0-9a-fA-F\.:]*\) port [0-9]*\]/sshd: message repeated N times: [ Starting session: command for \1 from \2 port N]/
s/sshd\[[0-9]*\]: error: maximum authentication attempts exceeded for root from \([0-9a-fA-F\.:]*\) port [0-9]* ssh2/sshd: error: maximum authentication attempts exceeded for root from \1 port N ssh2/
s/sshd\[[0-9]*\]: Accepted \(.*\) for \(.*\) from \([0-9a-fA-F\.:]*\) port [0-9]* ssh2/sshd: Accepted \1 for \2 from \3 port N ssh2/
s/sshd\[[0-9]*\]: Starting session: subsystem '\(.*\)' for \(.*\) from \([0-9a-fA-F\.:]*\) port [0-9]* id [0-9]*/sshd: Starting session: subsystem '\1' for \2 from \3 port N id X/
s/sshd\[[0-9]*\]: Connection closed by authenticating user \(.*\) \([0-9a-fA-F\.:]*\) port [0-9]*/sshd: Connection closed by authenticating user \1 \2 port X/
s/sshd\[[0-9]*\]: Unable to negotiate with \([0-9a-fA-F\.:]*\) port [0-9]*: /sshd: Unable to negotiate with \1 port N: /
s/sshd\[[0-9]*\]: Did not receive identification string from \([0-9a-fA-F\.:]*\) port [0-9]*/sshd: Did not receive identification string from \1 port N/
s/sshd\[[0-9]*\]: Connection closed by invalid user \(.*\) \([0-9a-fA-F\.:]*\) port [0-9]*/sshd: Connection closed by invalid user \1 \2 port N/
s/sshd\[[0-9]*\]: Disconnected from authenticating user \(.*\) \([0-9a-fA-F\.:]*\) port [0-9]*/sshd: Disconnected from authenticating user \1 \2 port N/
s/sshd\[[0-9]*\]: Closing connection to \([0-9a-fA-F\.:]*\) port [0-9]*/sshd: Closing connection to \1 port N/
s/systemd\[[0-9]*\]: ssh.service: Found left-over process [0-9]* (\(.*\)) in control group while starting unit. Ignoring./systemd: ssh.service: Found left-over process X (\1) in control group while starting unit. Ignoring./

### kernel
s/kernel: \[[0-9]*\.[0-9]*\] /kernel: [N.N] /
s/kernel: \[\s*[0-9]*\.[0-9]*\] /kernel: [ N.N] /
s/kernel: \[[0-9N]*\.[0-9N]*\] \(.*\): renamed from veth\([A-Za-z0-9]*\)/kernel: [N.N] \1: renamed from vethXXXXXX/
s/kernel: \[[0-9N]*\.[0-9N]*\] veth\([A-Za-z0-9]*\): renamed from \(.*\)/kernel: [N.N] vethXXXXXX: renamed from \1/
s/device veth[A-Za-z0-9]* entered promiscuous mode/device vethXXXXXX entered promiscuous mode/
s/device veth[A-Za-z0-9]* left promiscuous mode/device vethXXXXXX left promiscuous mode/
/kernel: \[[0-9N]*\.[0-9N]*\] \[[0-9a-f]*\] \[[0-9a-f]*\] \[[0-9a-f]*\] \[[0-9a-f]*\]/d
/kernel: \[[0-9N]*\.[0-9N]*\] Call Trace:/d
/kernel: \[[0-9N]*\.[0-9N]*\]  \[\<[0-9a-f]*\>\] .*+0x[0-9a-f]*\/0x[0-9a-f]*/d
s/kernel: \[[0-9N]*\.[0-9N]*\] init: \(.*\) main process ([0-9]*) terminated with status \([0-9]*\)/kernel: [N.N] init: \1 main process (N) terminated with status \2/
s/kernel: \[[0-9]*\.[0-9]*\] Out of memory: Kill process [0-9]* (\(.*\)) score [0-9]* or sacrifice child/kernel: [N.N] Out of memory: Kill process X (\1) score X or sacrifice child/
s/kernel: \[[0-9N]*\.[0-9N]*\] \[[0-9]*\]\s*[0-9]*\s*[0-9]*\s*[0-9]*\s*[0-9]*\s*[0-9]*\s*[0-9]*\s*[0-9]*\s*[0-9]*\s*.*//
s/kernel: \[[0-9N]*\.[0-9N]*\] audit: audit_lost=[0-9]* audit_rate_limit=\([0-9]*\) audit_backlog_limit=\([0-9]*\)/kernel: [N.N] audit: audit_lost=X audit_rate_limit=\1 audit_backlog_limit=\2/
s/kernel: \[[ 0-9N]*\.[0-9N]*\] audit_log_start: [0-9]* callbacks suppressed/kernel: [N.N] audit_log_start: X callbacks suppressed/
s/kernel: \[[ 0-9N]*\.[0-9N]*\] net_ratelimit: [0-9]* callbacks suppressed/kernel: [N.N] net_ratelimit: X callbacks suppressed/
s/kernel: \[[ 0-9N]*\.[0-9N]*\] \(.*\)\[[0-9]*\]: segfault at \(.*\) ip \([0-9a-f]*\) sp [0-9a-f]* error \([0-9]*\) in \(.*\) \[[0-9a-f]*\+[0-9a-f]*\]/kernel: [N.N] \1: segfault at \2 ip \3 sp HHHH error \4 in \5 [HH+HH]/
s/kernel: \[[ 0-9N]*\.[0-9N]*\] \(.*\)\[[0-9]*\]: segfault at \(.*\) ip \([0-9a-f]*\) sp [0-9a-f]* error \([0-9]*\) in \(.*\)/kernel: [N.N] \1: segfault at \2 ip \3 sp HHHH error \4 in \5/

### iptables
s/iptables denied: IN=\(.*\) OUT=\(.*\) MAC=\(.*\) SRC=\(.*\) DST=\(.*\) LEN=[0-9]* TOS=0x[0-9]* PREC=0x[0-9]* TTL=[0-9]* ID=[0-9]* \(.*\)PROTO=\(.*\) SPT=[0-9]* DPT=\([0-9]*\)/ iptables denied: IN=\1 OUT=\2 MAC=MAC-XXX SRC=\4 DST=\5 LEN=X TOS=0xX PREC=0xX TTL=X ID=X \6PROTO=\7 SPT=X DPT=\8/
## optional fields
s/iptables denied: \(.*\) WINDOW=[0-9]*/iptables denied: \1 WINDOW=X/
s/iptables denied: \(.*\) LEN=[0-9]*/iptables denied: \1 LEN=X/

### systemd
s/systemd\[[0-9]*\]: Started Session [0-9]* of user \(.*\)/systemd: Started Session N of user \1/
s/systemd-logind\[[0-9]*\]: New session [0-9]* of user \(.*\)/systemd-logind: New session N of user \1/
s/systemd\[[0-9]*\]: Received SIGRTMIN+24 from PID [0-9]* (\(.*\))./systemd: Received SIGRTMIN+24 from PID N (\1)./
s/systemd-udevd\[[0-9]*\]: Could not generate persistent MAC address for veth[A-Za-z0-9]*: No such file or directory/systemd-udevd: Could not generate persistent MAC address for vethXXXXXX: No such file or directory/
s/.service: Scheduled restart job, restart counter is at [0-9]*./.service: Scheduled restart job, restart counter is at X./
s/systemd\[[0-9]*\]: \(.*\).service: Killing process [0-9]* (\(.*\)) with signal \(.*\)./systemd: \1.service: Killing process X (\2) with signal \3./
s/systemd\[[0-9]*\]: Started snap.\(.*\)\.[0-9a-f]*-[0-9a-f]*-[0-9a-f]*-[0-9a-f]*-[0-9a-f]*\.scope/systemd: Started snap.\1.GUID.scope/

### snmpd
s/snmpd\[[0-9]*\]: Connection from UDP: \[\([0-9\.:]*\)\]:[0-9]* ->\[\([0-9\.:]*\)\]:\([0-9]*\)/snmpd: Connection from UDP: [\1]:N ->[\2]:\3/
s/snmpd\[[0-9]*\]: Connection from UDP: \[\([0-9\.:]*\)\]:[0-9]*->\[\([0-9\.:]*\)\]:\([0-9]*\)/snmpd: Connection from UDP: [\1]:N->[\2]:\3/

### lxd-bridge
s/lxdbr\([0-9]*\): port [0-9]*(veth[A-Za-z0-9]*) entered forwarding state/lxdbr\1: port N(vethXXXXXX) entered forwarding state/
s/docker\([0-9]*\): port [0-9]*(veth[A-Za-z0-9]*) entered forwarding state/docker\1: port N(vethXXXXXX) entered forwarding state/
s/lxdbr0: port [0-9]*(veth[A-Za-z0-9]*) entered disabled state/lxdbr0: port N(vethXXXXXX) entered disabled state/

### ansible
s/ansible-async_wrapper: [0-9]* still running ([0-9]*)/ansible-async_wrapper: N still running (N)/
s/ansible-async_wrapper.py: [0-9]* still running ([0-9]*)/ansible-async_wrapper.py: N still running (N)/
s/COMMAND=\/bin\/sh -c echo BECOME-SUCCESS-[a-z]* ;/COMMAND=\/bin\/sh -c echo BECOME-SUCCESS-xxxxxx ;/
s/\/.ansible\/tmp\/ansible-tmp-[0-9]*\.[0-9]*-[0-9]*-[0-9]*\/AnsiballZ_\(.*\).py/\/.ansible\/tmp\/ansible-tmp-N.N-N-N\/AnsiballZ_\1.py/

### ptrace
s/ptrace of pid [0-9]* was attempted by: \(.*\) (pid [0-9]*)/ptrace of pid N was attempted by: \1 (pid M)/

### sysdig
s/sysdig_probe: adding new consumer [0-9a-f]*/sysdig_probe: adding new consumer HEX-XXX/
### falco
#falco: Sun Oct  2 15:31:52 2016: Falco initialized with configuration file /etc/falco.yaml
#falco: Sun Oct  2 15:31:52 2016: Parsed rules from file /etc/falco_rules.yaml
s/falco: [A-Z][a-z]* [A-Z][a-z]*[ ]* [0-9]* [0-9]*:[0-9]*:[0-9]* [0-9]*: /falco: /
#falco: 00:36:05.999146634: Warning Shell spawned by untrusted binary
s/falco: [0-9]*:[0-9]*:[0-9]*\.[0-9]*: /falco: N:N:N.N: /
s/falco: adding new consumer [0-9a-f]*/falco: adding new consumer HHHHHH/
s/falco: deallocating consumer [0-9a-f]*/falco: deallocating consumer HHHHHH/

### ansible
s/ansible-async_wrapper: Invoked with [0-9]* [0-9]* \(.*\)\/.ansible\/tmp\/ansible-tmp-[0-9]*.[0-9]*-[0-9]*\/\(.*\)/ansible-async_wrapper: Invoked with N N \1\/.ansible\/tmp\/ansible-tmp-N.N-N\/\2/

### osquery
s/osqueryd\[[0-9]*\]: I1222 [0-9]*:[0-9]*:[0-9]*\.[0-9]*  5221 events.cpp:649\] Event publisher failed setup:/osqueryd: I1222 HH:MM:SS.XXXXXX  5221 events.cpp:649] Event publisher failed setup:/
s/osqueryd\[[0-9]*\]: I1221 [0-9]*:[0-9]*:[0-9]*\.[0-9]* 25046 rocksdb.cpp:133\] RocksDB: \[ERROR\] \[JOB 227\] Failed to delete \/var\/osquery\/osquery.db\/[0-9]*.log type=0 #[0-9]* -- IO error: \/var\/osquery\/osquery.db\/[0-9]*.log: Permission denied/ osqueryd: I1221 HH:MM:SS.XXXXXX 25046 rocksdb.cpp:133] RocksDB: [ERROR] [JOB 227] Failed to delete \/var\/osquery\/osquery.db\/NNNNNNN.log type=0 #NNN -- IO error: \/var\/osquery\/osquery.db\/NNNNNN.log: Permission denied/

### docker
s/docker\[[0-9]*\]: time="[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*\.[0-9]*Z" level=info msg="libcontainerd: new containerd process, pid: [0-9]*"/docker: time="YYYY-MM-DDTHH:MM:SS.NNNNNNZ" level=info msg="libcontainerd: new containerd process, pid: N"/
s/docker\[[0-9]*\]: time="[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*\.[0-9]*Z" level=error msg="containerd: deleting container" error="exit status 1: \"container .* does not exist\\\\none or more of the container deletions failed\\\\n\\""/docker: time="YYYY-MM-DDTHH:MM:SS.NNNNNNZ" level=error msg="containerd: deleting container" error="exit status 1: \"container XXXXXXXX does not exist\\\\none or more of the container deletions failed\\\\n\\""/
s/docker\[[0-9]*\]: time="[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*\.[0-9]*Z" level=/docker: time="YYYY-MM-DDTHH:MM:SS.NNNNNNZ" level=/
s/containerd\[[0-9]*\]: time="[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*\.[0-9]*Z" level=/containerd: time="YYYY-MM-DDTHH:MM:SS.NNNNNNZ" level=/

### digitalocean
s/do-agent\[[0-9]*\]: [0-9]*\/[0-9]*\/[0-9]* [0-9]*:[0-9]*:[0-9]* /do-agent: YYY\/MM\/DD HH:MM:SS /

s/canonical-livepatch\[[0-9]*\]: Retrying request in [0-9]* seconds./canonical-livepatch: Retrying request in X seconds./
s/zed: eid=[0-9]* class=\(.*\) pool_guid=0x[0-9A-F]*/zed: eid=X class=\1 pool_guid=0xNNNNNNN/
s/grafana-server\[[0-9]*\]: time="[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*\.[0-9]*\+\([0-9]*\)" level=/grafana-server: time="YYYY-MM-DDTHH:MM:SS.NNNNNN+\1" level=/
/grafana-server\[[0-9]*\]: .*lvl=info.*/d
s/grafana-server\[[0-9]*\]: t=[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*\+\([0-9]*\)/grafana-server: t=YYYY-MM-DDTHH:MM:SS+\1/
#s/grafana-server\[[0-9]*\]: logger=\(.*\) type=\(.*\) name=\(.*\) t=[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*\.[0-9]*\+\([0-9]*\) /grafana-server: logger=\1 type=\2 name=\3 t=YYYY-MM-DDTHH:MM:SS.NN+\4 /
s/grafana-server\[[0-9]*\]: logger=\(.*\) type=\(.*\) name=\(.*\) t=[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*\.[0-9]*/grafana-server: logger=\1 type=\2 name=\3 t=YYYY-MM-DDTHH:MM:SS.NN/
s/grafana-server\[[0-9]*\]: logger=\(.*\) type=\(.*\) name=\(.*\) t=[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*/grafana-server: logger=\1 type=\2 name=\3 t=YYYY-MM-DDTHH:MM:SS/
s/grafana-server\[[0-9]*\]: logger=cleanup t=[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*\.[0-9]*Z level=info msg="Completed cleanup jobs" duration=[0-9]*\.[0-9]*ms/grafana-server: logger=cleanup t=YYYY-MM-DDTHH:MM:SS.NNZ level=info msg="Completed cleanup jobs" duration=N.Nms/
s/grafana-server\[[0-9]*\]: logger=\(.*\) t=[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*\.[0-9]*/grafana-server: logger=\1 t=YYYY-MM-DDTHH:MM:SS.NN/

## snap
s/\(.*\)\.logrotate\[[0-9]*\]: reading config file \/tmp\/tmp\..*/\1.logrotate: reading config file \/tmp\/tmp.XXXXX/
s/\(.*\)\.logrotate\[[0-9]*\]: considering log \/var\/snap\/\(.*\)\/.*/\1.logrotate: considering log \/var\/snap\/\2\/XXXXX/
s/\(.*\)\.logrotate\[[0-9]*\]: rotating pattern: \/var\/snap\/\(.*\)\/.*  weekly/\1.logrotate: rotating pattern: \/var\/snap\/\2\/XXXXX  weekly/
s/\(.*\)\.logrotate\[[0-9]*\]: renaming \/var\/snap\/\(.*\)\.[0-9]*\.gz to \/var\/snap\/\(.*\)\.[0-9]*\.gz (rotatecount [0-9]*, logstart [0-9]*, i [0-9]*),/\1.logrotate: renaming \/var\/snap\/\2.X.gz to \/var\/snap\/\3.X.gz (rotatecount N, logstart N, i N),/
s/\(.*\)\.logrotate\[[0-9]*\]: log \/var\/snap\/\(.*\)\.[0-9]*\.gz doesn't exist/\1.logrotate: log \/var\/snap\/\2.X.gz doesn't exist/
s/\(.*\)\.logrotate\[[0-9]*\]: old log \/var\/snap\/\(.*\)\.[0-9]*\.gz does not exist/\1.logrotate: old log \/var\/snap\/\2.X.gz does not exist/

## rsyslog
s/, next retry is \(.*\) \(.*\) \([0-9]*\) [0-9]*:[0-9]*:[0-9]* \([0-9]*\), retry nbr /, next retry is \1 \2 \3 HH:MM:SS \4, retry nbr /
s/rsyslogd\[[0-9]*\]: imjournal: [0-9]* messages lost due to rate-limiting/rsyslogd: imjournal: N messages lost due to rate-limiting/
s/rsyslogd: imjournal: [0-9]* messages lost due to rate-limiting/rsyslogd: imjournal: N messages lost due to rate-limiting/

## networkd-dispatcher
s/networkd-dispatcher\[[0-9]*\]: ERROR:Unknown interface index [0-9]* seen even after reload/networkd-dispatcher: ERROR:Unknown interface index X seen even after reload/
s/networkd-dispatcher\[[0-9]*\]: WARNING:Unknown index [0-9]* seen, reloading interface list/networkd-dispatcher: WARNING:Unknown index X seen, reloading interface list/

s/hostapd\[[0-9]*\]: \(.*\): STA \([0-9a-f:]*\) RADIUS: starting accounting session [A-F0-9]*/hostapd: \1: STA \2 RADIUS: starting accounting session HHHH/

## dbus
s/dbus-daemon\[[0-9]*\]: \[system\] The maximum number of pending replies for ":[0-9.]*" (uid=\([0-9]*\) pid=[0-9]* comm="\(.*\)" label="\(.*\)") has been reached (max_replies_per_connection=\([0-9]*\)/dbus-daemon: [system] The maximum number of pending replies for ":N.NNN" (uid=\1 pid=N comm="\2" label="\3") has been reached (max_replies_per_connection=\4)/
s/dbus-daemon\[[0-9]*\]: message repeated [0-9]* times: \[ \[system\] The maximum number of pending replies for ":[0-9.]*" (uid=\([0-9]*\) pid=[0-9]* comm="\(.*\)" label="\(.*\)") has been reached (max_replies_per_connection=\([0-9]*\)\]/dbus-daemon: message repeated X times: [ [system] The maximum number of pending replies for ":N.NNN" (uid=\1 pid=N comm="\2" label="\3") has been reached (max_replies_per_connection=\4)]/
s/dbus-daemon\[[0-9]*\]: message repeated [0-9]* times: \[ \[system\] The maximum number of pending replies for ":[0-9]*\.[0-9]*" (uid=\([0-9]*\) pid=[0-9]* comm="\(.*\)" label="\(.*\)") has been reached (max_replies_per_connection=\([0-9]*\)\]/dbus-daemon: message repeated X times: [ [system] The maximum number of pending replies for ":N.NNN" (uid=\1 pid=N comm="\2" label="\3") has been reached (max_replies_per_connection=\4)]/
s/dbus-daemon\[[0-9]*\]: message repeated [0-9]* times: /dbus-daemon: message repeated X times: /
s/\[system\] The maximum number of pending replies for ":[0-9]*\.[0-9]*" /[system] The maximum number of pending replies for ":N.NNN" /

## *exporter
s/exporter\[[0-9]*\]: time="[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*\.[0-9]*\+\([0-9]*\)" level=/exporter: time="YYYY-MM-DDTHH:MM:SS.NNNNNN+\1" level=/
s/exporter\[[0-9]*\]: time="[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*Z" level=/exporter: time="YYYY-MM-DDTHH:MM:SSZ" level=/
s/_exporter\[[0-9]*\]: level=\(.*\) ts=[0-9]*-[0-9]*-[0-9]*T[0-9]*:[0-9]*:[0-9]*\.[0-9]*Z caller=/_exporter: level=\1 caller=/
s/process_exporter\[[0-9]*\]: [0-9]*\/[0-9]*\/[0-9]* [0-9]*:[0-9]*:[0-9]* error reading config file/process_exporter: error reading config file/

s/postfix\/master\[[0-9]*\]: warning: process \(.*\) pid [0-9]* exit status \([0-9]*\)/postfix\/master: warning: process \1 pid X exit status \2/
